API Reference

All IdenticAPI v1 security endpoints accept JSON request bodies and return JSON responses. Authenticate with Authorization: Bearer YOUR_API_KEY.

Base URL

https://www.identicapi.com

Security endpoints

MethodEndpointDescriptionUsage units
POST/api/v1/guardUnified Guard1 per check (max 4)
POST/api/v1/security/agent-actionAgent Action Guard1
POST/api/v1/security/output-safetyAI Output Safety1
POST/api/v1/security/pii-secretsPII & Secrets Detection1
POST/api/v1/security/prompt-injectionPrompt Injection Shield1

Common headers

HeaderRequiredDescription
AuthorizationYesBearer token with your API key
Content-TypeYesMust be application/json

Common response fields

FieldDescription
request_idUnique identifier for the request
apiProduct identifier (e.g. prompt-injection-shield)
verdict / decisionAssessment result — see individual endpoint docs
riskSeverity level: low, medium, high
findingsArray of detection results with category and reason
usage_unitsUnits consumed by this request
processing_time_msServer-side processing time in milliseconds
detector_versionDetector engine version

Related documentation